From 38d02d8974d12e21d12d1579f6893c3e281f9106 Mon Sep 17 00:00:00 2001
From: "David G. Quintas" <dgq@google.com>
Date: Mon, 14 Dec 2015 17:19:13 -0800
Subject: [PATCH] run_lcov.sh fix

So that it can be invoked with no arguments
---
 tools/run_tests/run_lcov.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tools/run_tests/run_lcov.sh b/tools/run_tests/run_lcov.sh
index ec97ebf0a5..796a0b5ceb 100755
--- a/tools/run_tests/run_lcov.sh
+++ b/tools/run_tests/run_lcov.sh
@@ -33,7 +33,7 @@ set -ex
 out=$(readlink -f ${1:-coverage})
 
 root=$(readlink -f $(dirname $0)/../..)
-shift
+shift || true
 tmp=$(mktemp)
 cd $root
 tools/run_tests/run_tests.py -c gcov -l c c++ $@ || true
-- 
GitLab